emerge -Dua world = [Solved]

Anything that pertains to Portage

Moderator: Moderators

Post Reply
67comet
Baby Hen
Posts: 3
Joined: Tue May 15, 2007 4:54

emerge -Dua world = [Solved]

Post by 67comet » Tue Jul 31, 2007 2:26

I've got this list down a little but there are still this plethora of packages not agreeing with each other.

I haven't used Gentoo for about a year, but I do remember this issue came up with another set of packages and it was unavoidable so I moved away from Gentoo until now. (I missed it).

Any ideas on how to get around this? I tried to emerge -C sys-kernel/linux-headers-2.6.19.2-r2 but it can't seem to find it (I was going to toss that header and emerge another).

Help?

Thanks much,
Justin

Code: Select all

emerge -Dua world

These are the packages that would be merged, in order:

Calculating world dependencies -
!!! Multiple versions within a single package slot have been
!!! pulled into the dependency graph:

('ebuild', '/', 'sys-kernel/linux-headers-2.6.19.2-r2', 'merge') pulled in by
  ('ebuild', '/', 'media-video/mplayer-1.0.20070622-r3', 'merge')

('ebuild', '/', 'sys-kernel/linux-headers-2.6.22-r2', 'merge') pulled in by
  ('ebuild', '/', 'media-plugins/gst-plugins-oss-0.10.5', 'merge')
  ('ebuild', '/', 'net-firewall/iptables-1.3.8-r1', 'merge')
  ('ebuild', '/', 'media-video/transcode-1.0.4_rc0', 'merge')
  ('ebuild', '/', 'sys-apps/sysvinit-2.86-r8', 'merge')
  ('ebuild', '/', 'app-mobilephone/gnokii-0.6.17', 'merge')
  ('ebuild', '/', 'sys-apps/iproute2-2.6.20.20070313', 'merge')
  ('ebuild', '/', 'media-gfx/sane-backends-1.0.18-r2', 'merge')
  ('ebuild', '/', 'sys-apps/baselayout-1.12.10-r4', 'merge')
  ('ebuild', '/', 'kde-base/klaptopdaemon-3.5.7', 'merge')
  ('ebuild', '/', 'sys-apps/hal-0.5.9.1-r1', 'merge')
  ('ebuild', '/', 'net-misc/openssh-4.6_p1-r2', 'merge')
  ('ebuild', '/', 'media-tv/linuxtv-dvb-headers-3.1', 'merge')
  ('ebuild', '/', 'media-libs/xine-lib-1.1.7', 'merge')
  ('ebuild', '/', 'net-misc/iputils-20070202', 'merge')
  ('ebuild', '/', 'sys-apps/util-linux-2.12r-r7', 'merge')
  ('ebuild', '/', 'sys-libs/glibc-2.6', 'merge')
  ('ebuild', '/', 'sys-apps/raidutils-0.0.6-r1', 'merge')
  ('ebuild', '/', 'sys-libs/libcap-1.10-r10', 'merge')
  ('ebuild', '/', 'kde-base/kopete-3.5.7', 'merge')

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.

!!! Depgraph creation failed.
Last edited by 67comet on Tue Jul 31, 2007 4:16, edited 1 time in total.

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Post by wolfden » Tue Jul 31, 2007 2:42

augh, been asked time and time again

emerge mplayer on it's own than do your world update - see the unofficial guide

67comet
Baby Hen
Posts: 3
Joined: Tue May 15, 2007 4:54

Post by 67comet » Tue Jul 31, 2007 4:14

Looks like that might'a done'r.

I haven't seen the unofficial stuff. I'll google it now though.

Thanks again,
Justin

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Post by wolfden » Tue Jul 31, 2007 5:42

:shock:

Its a sticky at the top of this forum section

http://www.sabayonlinux.org/forum/viewtopic.php?t=5531

67comet
Baby Hen
Posts: 3
Joined: Tue May 15, 2007 4:54

Post by 67comet » Tue Jul 31, 2007 8:45

:roll:

Round about found it via google .. but I found it none the less .. I had already done a lot of what it goes through, but still the mplayer thing helped the most.

Cheers,
Justin

DontPanic
Old Dear Hen
Posts: 742
Joined: Mon Jul 09, 2007 20:29
Location: Mobile, AL, USA

Post by DontPanic » Wed Aug 01, 2007 16:03

Another workaround that worked for me was to turn off the ivtv USE flag.

I ran across that suggestion in this thread: emerging mplayer wants to downgrade my linux-headers!

Post Reply